<?php


class SolicitacoesVinculadas extends GxActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'solicitacoes_vinculadas';
    }

    public static function label($n = 1) {
        return Yii::t('app', 'Pendência Vinculada|Pendências Vinculadas', $n);
    }

    public static function representingColumn() {
        return 'SOV_ID';
    }

    public function behaviors() {
        return array('datetimeI18NBehavior' => array('class' => 'ext.DateTimeI18NBehavior'));
    }

    public function rules() {
        return array(
            array('SOV_LASTUPDATE, SOV_ID, SOV_IDSOLICITACAO, SOV_IDDUPLICADA, SOV_SITUACAO, SOV_UPDATES', 'safe'),
        );
    }

    public function relations() {
        return array(
            'Funcionario' => array(self::BELONGS_TO, 'Funcionarios', 'SOV_IDFUNCIONARIO'),
            'PendenciaPrincipal' => array(self::BELONGS_TO, 'Solicitacoes', 'SOV_IDSOLICITACAO'),
            'Solicitacao' => array(self::BELONGS_TO, 'Solicitacoes', 'SOV_IDDUPLICADA'),
        );
    }

    protected function beforeSave() {
        $this->SOV_LASTUPDATE = date('Y-m-d H:i:s');
        return true;
    }

    public function pivotModels() {
        return array();
    }

    public function attributeLabels() {
        return array(
            'SOV_ID'                => 'Código',
            'SOV_IDSOLICITACAO'     => 'Pendência',
            'SOV_IDDUPLICADA'       => 'Pendência Vinculada',
            'SOV_SITUACAO'          => 'Situação',
            'SOV_UPDATES'           => 'Histórico',
        );
    }

    public function getLastUpdate() {
        $info = explode(PHP_EOL, trim($this->SOV_UPDATES));
        $info = end($info);
        $info = str_replace('Pendência', '', $info);
        return $info;
    }
}